{#
    Displays a single of dataset.
    
    package        - A package to display.
    item_class     - The class name to use on the list item.
    hide_resources - If true hides the resources (default: false).
    banner         - If true displays a popular banner (default: false).
    truncate       - The length to trucate the description to (default: 180)
    truncate_title - The length to truncate the title to (default: 80).
    
    Example:
    
      {% snippet 'snippets/package_item.html', package=c.datasets[0] %}
    
    #}
    {% set truncate = truncate or 180 %}
    {% set truncate_title = truncate_title or 80 %}
    {% set title = package.title or package.name %}
    {% set notes = h.markdown_extract(package.notes, extract_length=truncate) %}
    
    {% block package_item %}
      <li class="{{ item_class or "dataset-item" }}">
        {% block content %}
          <div class="dataset-content">
            {% block heading %}
              <h3 class="dataset-heading">
                {% block heading_private %}
                  {% if package.private %}
                    <span class="dataset-private label label-inverse">
                      <i class="fa fa-lock"></i>
                      {{ _('Private') }}
                    </span>
                  {% endif %}
                {% endblock %}
                {% block heading_title %}
                  {{ h.link_to(h.truncate(title, truncate_title), h.url_for(package.type + '_read', controller='package', action='read', id=package.name)) }}
                {% endblock %}
                {% block heading_meta %}
                  {% if package.get('state', '').startswith('draft') %}
                    <span class="label label-info">{{ _('Draft') }}</span>
                  {% elif package.get('state', '').startswith('deleted') %}
                    <span class="label label-danger">{{ _('Deleted') }}</span>
                  {% endif %}
                  {{ h.popular('recent views', package.tracking_summary.recent, min=10) if package.tracking_summary }}
                {% endblock %}
              </h3>
            {% endblock %}
            {% block banner %}
              {% if banner %}
                <span class="banner">{{ _('Popular') }}</span>
              {% endif %}
            {% endblock %}
            {% block notes %}
              {% if notes %}
                <div>{{ notes|urlize }}</div>
              {% else %}
                <p class="empty">{{ _("This dataset has no description") }}</p>
              {% endif %}
            {% endblock %}
          </div>
          {% block resources %}
            {% if package.resources and not hide_resources %}
              {% block resources_outer %}
                <ul class="dataset-resources list-unstyled">
                  {% block resources_inner %}
                    {% for resource in h.dict_list_reduce(package.resources, 'format') %}
                    <li>
                      <a href="{{ h.url_for(controller='package', action='read', id=package.name) }}" class="label label-default" data-format="{{ resource.lower() }}">{{ resource }}</a>
                    </li>
                    {% endfor %}
                  {% endblock %}
                </ul>
              {% endblock %}
            {% endif %}
          {% endblock %}
        {% endblock %}
      </li>
    {% endblock %}